# This file was generated by Rcpp::compileAttributes
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' @title Calculating validation scores between two adjacency matrices
#' 
#' @description
#' This function calculates the validation scores between two adjacency matrices.
#' 
#' @param inf_mat matrix. It should be adjacency matrix of inferred network.
#' @param true_mat matrix. It should be adjacency matrix of true network.
rcpp_validate <- function(inf_mat, true_mat) {
    .Call('BTR_rcpp_validate', PACKAGE = 'BTR', inf_mat, true_mat)
}

#' @title Simulate a Boolean model.
#' 
#' @description
#' (&&&Not for public use&&&)This function simulates the Boolean model using an initial state. For use within simulate_model(). Returns a matrix of full asynchronous state space.
#' 
#' @param bmodel list. A list of 4 lists created by decreate_model().
#' @param fstate data frame. It must have been initialised by initialise_data(), and has gene names as column names. Must contain only 1 row.
#' @param verbose logical. Indicates whether to output progress.
rcpp_simulate <- function(bmodel, fstate, verbose = FALSE) {
    .Call('BTR_rcpp_simulate', PACKAGE = 'BTR', bmodel, fstate, verbose)
}

